/*
 * Copyright 2000-2009 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.psi.templateLanguages;

import com.intellij.psi.impl.source.tree.CompositeElement;
import com.intellij.psi.impl.source.tree.LeafElement;
import com.intellij.psi.impl.source.tree.TreeElement;
import com.intellij.util.CharTable;

public interface TreePatcher {

  /** Inserts toInsert into destinationTree according to parser rules.*/
  void insert(CompositeElement parent, TreeElement anchorBefore, OuterLanguageElement toInsert);

  /** If leaf need to be split to insert OuterLanguageElement this function is called
   * @return first part of the split
   */
  LeafElement split(LeafElement leaf, int offset, final CharTable table);
}
